
const engine = require('./index').engine;

const ratingMatrix = [
  [ 1, 1, 1, 0 ],
  [ 1, 0, 0, 1 ],
  [ 1, 1, 0, 1 ]
];

const factors = 2;
const iterations = 10;
const seed = 1;
const userLambda = 0.025;
const itemLambda = 0.0025;
const learningRate = 0.05;
const numNegativeSamples = 1;
const evalNumNeg = 3;
const evalSeed = 42;
const decayRate = 0.9;
const shuffleTrainingSet = true;
const initDistributionBound = 0.01;

const model = engine.trainBPR(
  ratingMatrix,
  factors, iterations, seed,
  userLambda, itemLambda,
  learningRate,
  numNegativeSamples,
  evalNumNeg, evalSeed,
  decayRate,
  shuffleTrainingSet,
  initDistributionBound
);

console.log(model);
