#include "IdIndex.h"

size_t IdIndex::getOrSetIdx(const int64_t id) {
  const auto pos = idxMap_.find(id);
  if (pos != idxMap_.end()) {
    return pos->second;
  } else {
    const size_t idx = ids_.size();
    ids_.push_back(id);
    idxMap_.emplace(id, idx);
    return idx;
  }
}
