

const expect  = require("chai").expect;

describe('Metrics', () => {

  const engine = require('../index').engine;

  it('AUC', () => {

    const scores = [
      [0.1, 0.4, 0.35, 0.8],
      [0.1, 0.3, 0.2, 0.4, 0.5],
      [0.1, 0.3, 0.2, 0.4, 0.5, 0.7, 0.9]
    ];
    const labels = [
      [0, 0, 1, 1],
      [1, 0, 1, 1, 1],
      [1, 0, 0, 1, 1, 1, 1]
    ];
    const aucScores = [
      0.75,
      0.5,
      0.8
    ];

    for(let i = 0; i < 3; i++) {
      const aucScore = engine.auc(labels[i], scores[i]);
      expect(aucScore).to.equal(aucScores[i]);
    }

  });

});
