
#pragma once

#include <vector>

class Metric {
  public:
    virtual double compute(
      const std::vector<double>& labels,
      const std::vector<double>& scores) const = 0;
};

class AUC : public Metric {
  public:
    double compute(
      const std::vector<double>& labels,
      const std::vector<double>& scores) const override;
};
